<bugID>445773<Summary>Dynamically loading Flash over http doesn't degrade lock icon state (e.g. when using FlashBlock)</Summary><Description>Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.2pre) Gecko/2008071105
Firefox/3.0

And:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1a1pre) Gecko/2008071203
Minefield/3.1a1pre

Original Flashblock bug: https://www.mozdev.org/bugs/show_bug.cgi?id=19577

Steps to reproduce:
1. Install Flashblock.
2. Visit https://chaseonline.chase.com/Logon.aspx

Expected results:
1. A pop up dialog warning you that the data on the page is partially encrypted.
2. Larry says that your connection to this website is not encrypted.

Actual results:
1. No pop up warning.
2. Larry says
  [a] Verified: by VeriSign Trust Network.
  [b] Your connection to this website is encrypted.

Given that flash object coming from a unsecure connection is called "cookiemanager" I think this is slightly worrying.</Description></bugID>